Get Business Reviews
curl --request GET \
--url https://prod.willro.com/api/v1/integration/business-api/reviews \
--header 'x-api-key: <api-key>'import requests
url = "https://prod.willro.com/api/v1/integration/business-api/reviews"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://prod.willro.com/api/v1/integration/business-api/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": {
"self": "/api/v1/integration/business-api/reviews?expand=&limit=10&page=1&q=&sortBy=createdAt&sortType=DESC",
"next": "/api/v1/integration/business-api/reviews?expand=&limit=10&page=2&q=&sortBy=createdAt&sortType=DESC"
},
"pagination": {
"page": 1,
"limit": 10,
"totalItems": 14,
"totalPages": 2,
"nextPage": 2
},
"data": [
{
"author": {
"name": "John Doe",
"picture": "https://example.com/avatar.jpg",
"username": "johndoe",
"isVerified": true,
"totalReview": 10
},
"business": {
"businessName": "ExampleCo",
"logo": "https://example.com/logo.png",
"website": "https://example.com",
"category": "Retail",
"averageRating": 3.2,
"totalReview": 12,
"isVerified": true
},
"rating": 3,
"content": "Test review for engagement 1",
"views": 6000,
"layout": "CLASSIC",
"publishedAt": "2025-12-07T04:00:14.761Z",
"id": "6934fbc2f42d4678c9bd97a5",
"reactions": 1,
"topReactions": [
"AGREE"
],
"comments": 50,
"shares": 50,
"location": "London, Uk",
"media": {
"url": "https://example.com/image1.jpg",
"type": "IMAGE",
"thumbnailUrl": "https://example.com/thumb1.jpg"
}
}
]
}{
"code": 401,
"message": "API key is required",
"timestamp": "2025-07-09T08:33:54.383Z",
"path": "/api/integration/business-api/reviews?page=1&limit=10",
"error": "Unauthorized"
}API EXAMPLES
Get Business Reviews
GET
/
integration
/
business-api
/
reviews
Get Business Reviews
Authorizations
Use this API Key: willro_live_sk_95ad4a1e-48ac-4872-ae02-0d40072b60bf_6b7ec4b3af7911a65ee1c3a5ce3fe84b8c2e34136ca71030
Query Parameters
Number of reviews per page.
Page number.
Filter reviews by attached media type.
Available options:
IMAGE, TEXT, VIDEO Sort reviews by relevance, rating, or recency.
Available options:
MOST_RELEVANT, HIGHEST_REVIEWS, LOWEST_REVIEWS, RECENT_REVIEWS, RECENT_WITH_MIN_ONE_REVIEW Filter reviews by rating value (1–5).
Required range:
1 <= x <= 5Response
Reviews retrieved.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
[
{
"author": {
"name": "John Doe",
"picture": "https://example.com/avatar.jpg",
"username": "johndoe",
"isVerified": true,
"totalReview": 10
},
"business": {
"businessName": "ExampleCo",
"logo": "https://example.com/logo.png",
"website": "https://example.com",
"category": "Retail",
"averageRating": 3.2,
"totalReview": 12,
"isVerified": true
},
"rating": 3,
"content": "Test review for engagement 1",
"views": 6000,
"layout": "CLASSIC",
"publishedAt": "2025-12-07T04:00:14.761Z",
"id": "6934fbc2f42d4678c9bd97a5",
"reactions": 1,
"topReactions": ["AGREE"],
"comments": 50,
"shares": 50,
"location": "London, Uk",
"media": {
"url": "https://example.com/image1.jpg",
"type": "IMAGE",
"thumbnailUrl": "https://example.com/thumb1.jpg"
}
}
]
⌘I
